| Home | Libraries | People | FAQ | More

## Function template is_partitioned

boost::algorithm::is_partitioned — Generates an increasing sequence of values, and stores them in the input Range.

## Synopsis

    // In header: <boost/algorithm/cxx11/is_partitioned.hpp>

    template<typename Range, typename UnaryPredicate>
      bool is_partitioned(const Range & r, UnaryPredicate p);

## Description

Parameters:

`p` | The predicate to test the values with
`r` | The input range